Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class PostalAddress6

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.PostalAddress6

    public class PostalAddress6
    extends java.lang.Object

Java class for PostalAddress6 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PostalAddress6">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AdrTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AddressType2Code" minOccurs="0"/>
             <element name="Dept" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max70Text" minOccurs="0"/>
             <element name="SubDept" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max70Text" minOccurs="0"/>
             <element name="StrtNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max70Text" minOccurs="0"/>
             <element name="BldgNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max16Text" minOccurs="0"/>
             <element name="PstCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max16Text" minOccurs="0"/>
             <element name="TwnNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
             <element name="CtrySubDvsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
             <element name="Ctry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CountryCode" minOccurs="0"/>
             <element name="AdrLine" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max70Text" maxOccurs="7" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `adrLine`
`protected AddressType2Code` `adrTp`
`protected java.lang.String` `bldgNb`
`protected java.lang.String` `ctry`
`protected java.lang.String` `ctrySubDvsn`
`protected java.lang.String` `dept`
`protected java.lang.String` `pstCd`
`protected java.lang.String` `strtNm`
`protected java.lang.String` `subDept`
`protected java.lang.String` `twnNm`

### Constructor Summary

Constructors
`PostalAddress6()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getAdrLine()` Gets the value of the adrLine property.
`AddressType2Code` `getAdrTp()` Gets the value of the adrTp property.
`java.lang.String` `getBldgNb()` Gets the value of the bldgNb property.
`java.lang.String` `getCtry()` Gets the value of the ctry property.
`java.lang.String` `getCtrySubDvsn()` Gets the value of the ctrySubDvsn property.
`java.lang.String` `getDept()` Gets the value of the dept property.
`java.lang.String` `getPstCd()` Gets the value of the pstCd property.
`java.lang.String` `getStrtNm()` Gets the value of the strtNm property.
`java.lang.String` `getSubDept()` Gets the value of the subDept property.
`java.lang.String` `getTwnNm()` Gets the value of the twnNm property.
`void` `setAdrTp​(AddressType2Code value)` Sets the value of the adrTp property.
`void` `setBldgNb​(java.lang.String value)` Sets the value of the bldgNb property.
`void` `setCtry​(java.lang.String value)` Sets the value of the ctry property.
`void` `setCtrySubDvsn​(java.lang.String value)` Sets the value of the ctrySubDvsn property.
`void` `setDept​(java.lang.String value)` Sets the value of the dept property.
`void` `setPstCd​(java.lang.String value)` Sets the value of the pstCd property.
`void` `setStrtNm​(java.lang.String value)` Sets the value of the strtNm property.
`void` `setSubDept​(java.lang.String value)` Sets the value of the subDept property.
`void` `setTwnNm​(java.lang.String value)` Sets the value of the twnNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### adrTp

    protected AddressType2Code adrTp

#### dept

    protected java.lang.String dept

#### subDept

    protected java.lang.String subDept

#### strtNm

    protected java.lang.String strtNm

#### bldgNb

    protected java.lang.String bldgNb

#### pstCd

    protected java.lang.String pstCd

#### twnNm

    protected java.lang.String twnNm

#### ctrySubDvsn

    protected java.lang.String ctrySubDvsn

#### ctry

    protected java.lang.String ctry

#### adrLine

    protected java.util.List<java.lang.String> adrLine

### Constructor Detail

#### PostalAddress6

    public PostalAddress6()

### Method Detail

#### getAdrTp

    public AddressType2Code getAdrTp()

Gets the value of the adrTp property.

Returns:
  possible object is `AddressType2Code`

#### setAdrTp

    public void setAdrTp​(AddressType2Code value)

Sets the value of the adrTp property.

Parameters:
  `value` - allowed object is `AddressType2Code`

#### getDept

    public java.lang.String getDept()

Gets the value of the dept property.

Returns:
  possible object is `String`

#### setDept

    public void setDept​(java.lang.String value)

Sets the value of the dept property.

Parameters:
  `value` - allowed object is `String`

#### getSubDept

    public java.lang.String getSubDept()

Gets the value of the subDept property.

Returns:
  possible object is `String`

#### setSubDept

    public void setSubDept​(java.lang.String value)

Sets the value of the subDept property.

Parameters:
  `value` - allowed object is `String`

#### getStrtNm

    public java.lang.String getStrtNm()

Gets the value of the strtNm property.

Returns:
  possible object is `String`

#### setStrtNm

    public void setStrtNm​(java.lang.String value)

Sets the value of the strtNm property.

Parameters:
  `value` - allowed object is `String`

#### getBldgNb

    public java.lang.String getBldgNb()

Gets the value of the bldgNb property.

Returns:
  possible object is `String`

#### setBldgNb

    public void setBldgNb​(java.lang.String value)

Sets the value of the bldgNb property.

Parameters:
  `value` - allowed object is `String`

#### getPstCd

    public java.lang.String getPstCd()

Gets the value of the pstCd property.

Returns:
  possible object is `String`

#### setPstCd

    public void setPstCd​(java.lang.String value)

Sets the value of the pstCd property.

Parameters:
  `value` - allowed object is `String`

#### getTwnNm

    public java.lang.String getTwnNm()

Gets the value of the twnNm property.

Returns:
  possible object is `String`

#### setTwnNm

    public void setTwnNm​(java.lang.String value)

Sets the value of the twnNm property.

Parameters:
  `value` - allowed object is `String`

#### getCtrySubDvsn

    public java.lang.String getCtrySubDvsn()

Gets the value of the ctrySubDvsn property.

Returns:
  possible object is `String`

#### setCtrySubDvsn

    public void setCtrySubDvsn​(java.lang.String value)

Sets the value of the ctrySubDvsn property.

Parameters:
  `value` - allowed object is `String`

#### getCtry

    public java.lang.String getCtry()

Gets the value of the ctry property.

Returns:
  possible object is `String`

#### setCtry

    public void setCtry​(java.lang.String value)

Sets the value of the ctry property.

Parameters:
  `value` - allowed object is `String`

#### getAdrLine

    public java.util.List<java.lang.String> getAdrLine()

Gets the value of the adrLine property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the adrLine property.

For example, to add a new item, do as follows:

        getAdrLine().add(newItem);

Objects of the following type(s) are allowed in the list `String`